Bug 4021 - Allow emacs and xemacs to be installed simulataneously
: Allow emacs and xemacs to be installed simulataneously
Status: RESOLVED FIXED
Product: Desktop Bugs
Classification: ROSA Desktop
Component: Main Packages
: Fresh
: All Linux
: Normal normal
: ---
Assigned To: ROSA Linux Bugs
: ROSA Linux Bugs
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2014-05-12 10:12 MSD by Denis Silakov
Modified: 2014-05-15 09:35 MSD (History)
3 users (show)

See Also:
RPM Package:
ISO-related:
Bad POT generating:
Upstream:
alexander.petryakov: qa_verified+
kuzma.kazygashev: secteam_verified+
alex.burmashev: published+


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Denis Silakov 2014-05-12 10:12:12 MSD
Currently emacs and xemacs packages in our repo have intersection by several files and so we have marked them explicitely as conflicting. However, these file intersections are not crusial and can be resolved by renaming and setting up alternatives. And it turned out that there are cases when we need both emacs and xemacs to be installed (e.g., when building emacs-mpg123 extension which is built for both emacs and xemacs).
Comment 1 Denis Silakov 2014-05-12 10:13:26 MSD
Advisory:

Resolve file conflicts between emacs and xemacs to allow these packages to be installed simulataneously.

Build lists:
(emacs)
https://abf.rosalinux.ru/build_lists/1853479
https://abf.rosalinux.ru/build_lists/1853480

(xemacs)
https://abf.rosalinux.ru/build_lists/1853478
https://abf.rosalinux.ru/build_lists/1853477
Comment 2 Alexander Petryakov 2014-05-13 00:16:30 MSD
urpmi emacs xemacs
gave warning:
Подготовка...                    #############################################
      1/7: emacs-common          #############################################
      2/7: libXaw3d7             #############################################
      3/7: libcompface1          #############################################
      4/7: x11-font-adobe-100dpi #############################################
      5/7: emacs                 #############################################
update-alternatives: using /usr/bin/emacs-24.3 to provide /usr/bin/emacs (emacs) in auto mode
      6/7: xemacs                #############################################
update-alternatives: using /usr/bin/xemacs-21.4.22 to provide /usr/bin/xemacs (xemacs) in auto mode
      7/7: xemacs-extras         #############################################
update-alternatives: using /usr/bin/xemacs-ctags to provide /usr/bin/ctags (ctags) in auto mode
update-alternatives: using /usr/bin/xemacs-etags to provide /usr/bin/etags (etags) in auto mode
update-alternatives: warning: not replacing /usr/bin/etags with a link
Comment 4 Alexander Petryakov 2014-05-13 23:04:30 MSD
Now i got error:
    11/13: xemacs                #############################################
    12/13: emacs                 #############################################
update-alternatives: priority must be an integer

Use 'update-alternatives --help' for program usage information.
error: %post(emacs-24.3-6.x86_64) scriptlet failed, exit status 2
    13/13: xemacs-extras         #############################################
update-alternatives: priority must be an integer

Use 'update-alternatives --help' for program usage information.
update-alternatives: priority must be an integer

Use 'update-alternatives --help' for program usage information.
error: %post(xemacs-extras-21.4.22-14.x86_64) scriptlet failed, exit status 2
Comment 6 Alexander Petryakov 2014-05-14 22:36:06 MSD
(emacs)
https://abf.rosalinux.ru/build_lists/1862372
https://abf.rosalinux.ru/build_lists/1862373

(xemacs)
https://abf.rosalinux.ru/build_lists/1862370
https://abf.rosalinux.ru/build_lists/1862371

************** Advisory **************
Resolve file conflicts between emacs and xemacs to allow these packages to be installed simulataneously.
**************************************
QA Verified